ServerImpl (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.endpoint, class: ServerImpl

Package org.apache.cxf.endpoint

# Class ServerImpl

java.lang.Object
org.apache.cxf.endpoint.ServerImpl

All Implemented Interfaces:
  `Server`

public class ServerImpl extends Object implements Server

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final BindingFactory`
  `bindingFactory`
  `protected final Bus`
  `bus`
  `protected final Endpoint`
  `endpoint`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerImpl(Bus bus, Endpoint endpoint, DestinationFactory destinationFactory, BindingFactory bindingFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  `Destination`
  `getDestination()`
  `Endpoint`
  `getEndpoint()`
  `boolean`
  `isStarted()`
  `boolean`
  `isStopped()`
  `void`
  `setDestination(Destination destination)`
  `void`
  `start()`
  `void`
  `stop()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### endpoint

    protected final Endpoint endpoint

  - ### bus

    protected final Bus bus

  - ### bindingFactory

    protected final BindingFactory bindingFactory

- ## Constructor Details

  - ### ServerImpl

    public ServerImpl(Bus bus, Endpoint endpoint, DestinationFactory destinationFactory, BindingFactory bindingFactory) throws BusException, IOException
    Throws:
      `BusException`
      `IOException`

- ## Method Details

  - ### getDestination

    public Destination getDestination()
    Specified by:
      `getDestination` in interface `Server`

  - ### setDestination

    public void setDestination(Destination destination)

  - ### start

    public void start()
    Specified by:
      `start` in interface `Server`

  - ### isStopped

    public boolean isStopped()

  - ### isStarted

    public boolean isStarted()
    Specified by:
      `isStarted` in interface `Server`

  - ### stop

    public void stop()
    Specified by:
      `stop` in interface `Server`

  - ### destroy

    public void destroy()
    Specified by:
      `destroy` in interface `Server`

  - ### getEndpoint

    public Endpoint getEndpoint()
    Specified by:
      `getEndpoint` in interface `Server`